org.apache.commons.math.complex

## Class ComplexField.LazyHolder

- java.lang.Object
- - org.apache.commons.math.complex.ComplexField.LazyHolder

Enclosing class:
  ComplexField

    private static class ComplexField.LazyHolder
    extends java.lang.Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

### Field Summary

Fields
`private static ComplexField` `INSTANCE` Cached field instance.

### Constructor Summary

Constructors
`private` `ComplexField.LazyHolder()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    private static final ComplexField INSTANCE

Cached field instance.

### Constructor Detail

#### ComplexField.LazyHolder

    private ComplexField.LazyHolder()